## rock-master-19.06-drivers-orogen-hokuyo 0.20160122

=== CMakeLists.txt ===
PROJECT(hokuyo)
cmake_minimum_required(VERSION 2.6)

SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/.orogen/config")
INCLUDE(hokuyoBase)

# FIND_PACKAGE(KDL)
# FIND_PACKAGE(OCL)

=== tasks/CMakeLists.txt ===
include(hokuyoTaskLib)

pkg_check_modules(SAMPLE_AGGREGATOR REQUIRED aggregator)
include_directories(${SAMPLE_AGGREGATOR_INCLUDE_DIRS})
link_directories(${SAMPLE_AGGREGATOR_LIBRARY_DIRS})

ADD_LIBRARY(${HOKUYO_TASKLIB_NAME} SHARED 
    ${HOKUYO_TASKLIB_SOURCES})

add_dependencies(${HOKUYO_TASKLIB_NAME}
    regen-toolkit)


TARGET_LINK_LIBRARIES(${HOKUYO_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${HOKUYO_TASKLIB_DEPENDENT_LIBRARIES}
    ${SAMPLE_AGGREGATOR_LIBRARIES})
SET_TARGET_PROPERTIES(${HOKUYO_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${HOKUYO_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${HOKUYO_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${HOKUYO_TASKLIB_HEADERS}
    DESTINATION include/orocos/hokuyo)

=== debian/changelog ===
rock-master-19.06-drivers-orogen-hokuyo (0.20160122-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-drivers/drivers-orogen-hokuyo.git
  * branch: refs/heads/master
  * commit: 22fc45bbcf85a10e9e6fdb3fa70c59eb68a1be12
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Sat, 06 Jul 2019 23:53:18 +0200

=== debian/control ===
Source: rock-master-19.06-drivers-orogen-hokuyo
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-19.06-base-orogen-std, rock-master-19.06-base-orogen-types, rock-master-19.06-drivers-aggregator, rock-master-19.06-drivers-hokuyo, rock-master-19.06-drivers-orogen-aggregator, rock-master-19.06-ruby-orogen, rock-master-19.06-tools-logger, rock-master-19.06-tools-orogen-cpp-proxies, rock-master-19.06-tools-orogen-metadata, rock-master-19.06-tools-orogen-model-exporter, rock-master-19.06-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-drivers-orogen-hokuyo
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-orogen-std, rock-master-19.06-base-orogen-types, rock-master-19.06-drivers-aggregator, rock-master-19.06-drivers-hokuyo, rock-master-19.06-drivers-orogen-aggregator, rock-master-19.06-ruby-orogen, rock-master-19.06-tools-logger, rock-master-19.06-tools-orogen-cpp-proxies, rock-master-19.06-tools-orogen-metadata, rock-master-19.06-tools-orogen-model-exporter, rock-master-19.06-tools-service-discovery
Description: oroGen driver for Hokuyo laser scanner
 This oroGen component offers an integrated driver to access the Hokuyo
  laser scanners (through the SCIP2 protocol).
